|  | Home | Documentation | soap_wsse_data Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
soap_wsse_data Struct Reference

wsseapi plugin data More...

`#include <wsseapi.h>`

Collaboration diagram for soap_wsse_data:
[legend]

## Public Attributes

const char * | sigid
const char * | encid
const char * | prefixlist
int | sign_alg
const void * | sign_key
int | sign_keylen
int | vrfy_alg
const void * | vrfy_key
int | vrfy_keylen
int | enco_alg
const char * | enco_keyname
const void * | enco_key
int | enco_keylen
int | deco_alg
const void * | deco_key
int | deco_keylen
struct soap_wsse_digest * | digest
int(* | fpreparesend )(struct soap *, const char *, size_t)
int(* | fpreparefinalsend )(struct soap *)
int(* | fpreparefinalrecv )(struct soap *)
struct soap_mec_data * | mec
X509_STORE * | store
const void *(* | security_token_handler )(struct soap *soap, int *alg, const char *keyname, const unsigned char *keyid, int keyidlen, int *keylen)

## Detailed Description

wsseapi plugin data

The signature key (private) and verification key (public) are kept in the plugin data, together with other info.

## Member Data Documentation

## ◆ deco_alg

int soap_wsse_data::deco_alg

decrypt algorithm used

## ◆ deco_key

const void* soap_wsse_data::deco_key

EVP_PKEY or secret key

## ◆ deco_keylen

int soap_wsse_data::deco_keylen

secret key length

## ◆ digest

struct soap_wsse_digest* soap_wsse_data::digest

List of ID-hash pairs

## ◆ encid

const char* soap_wsse_data::encid

string with wsu:Id names to encrypt

## ◆ enco_alg

int soap_wsse_data::enco_alg

current encrypt algorithm used

## ◆ enco_key

const void* soap_wsse_data::enco_key

EVP_PKEY or secret key

## ◆ enco_keylen

int soap_wsse_data::enco_keylen

secret key length

## ◆ enco_keyname

const char* soap_wsse_data::enco_keyname

optional key name (id of symmetric key)

## ◆ fpreparefinalrecv

int(* soap_wsse_data::fpreparefinalrecv) (struct soap *)

## ◆ fpreparefinalsend

int(* soap_wsse_data::fpreparefinalsend) (struct soap *)

## ◆ fpreparesend

int(* soap_wsse_data::fpreparesend) (struct soap *, const char *, size_t)

## ◆ mec

struct soap_mec_data* soap_wsse_data::mec

## ◆ prefixlist

const char* soap_wsse_data::prefixlist

string with c14n PrefixList to send, or NULL

## ◆ security_token_handler

const void *(* soap_wsse_data::security_token_handler) (struct soap *soap, int *alg, const char *keyname, const unsigned char *keyid, int keyidlen, int *keylen)

## ◆ sigid

const char* soap_wsse_data::sigid

string with wsu:Id names to sign

## ◆ sign_alg

int soap_wsse_data::sign_alg

The digest or signature algorithm used

## ◆ sign_key

const void* soap_wsse_data::sign_key

EVP_PKEY or key string for HMAC

## ◆ sign_keylen

int soap_wsse_data::sign_keylen

HMAC key length

## ◆ store

X509_STORE* soap_wsse_data::store

## ◆ vrfy_alg

int soap_wsse_data::vrfy_alg

The signature verify algorithm used

## ◆ vrfy_key

const void* soap_wsse_data::vrfy_key

EVP_PKEY or key string for HMAC verify

## ◆ vrfy_keylen

int soap_wsse_data::vrfy_keylen

HMAC key length

The documentation for this struct was generated from the following file:

- wsseapi.h